Doomsday Engine - Bug #973

[Map Converter] Crashes on linedefs with no front or back
2011-10-31 09:08 - vermil

Status: Closed Start date: 2011-10-31
Priority: High % Done: 100%
Assignee: danij

Category: Defect

Target version: 1.13

Description

Pretty much what the summery states. The map converter crashes if it encounters such a line.

Vanilla Doom 'converts' such lines to impassable linedefs that block attacks, don't appear on the automap unless the automap cheat
is enabled and can't have any vanilla trigger attached to them (well they can have a trigger placed on in a map editor, but the trigger
shouldn't function in game).

Such lines in the middle of sectors produce no rendering anomalies at all. Though if the line borders void, it looks like a HOM (as any
texture less wall with void behind would).

Labels: Data

History

#1 - 2012-04-18 07:55 - danij

No, this issue is an unrelated but similar issue which also needs special attention. This should be addressed by adding SideDefs as needed and
flagging the LineDef appropriately.

#2 - 2012-04-18 15:59 - danij

Lowering priority as such constructs no longer produce a fatal error (they still aren't handled correctly, however).

#3 - 2012-07-26 20:07 - vermil

| made a mistake when | submitted the above report; triggers do still work on such lines, though only from one side, suggesting that despite not
having a front/back, that they still have a direction in some way.Dday seems to currently replicate this behaviour.

Also, while Dday can now handle such lines in the middle of sectors without crashing, it still can't handle them if they are adjacent to the void (i.e
Dday will abort with a seg violation).

#4 - 2012-07-26 20:15 - danij

- status: open --> accepted
- assigned_to: Daniel Swanson

#5 - 2012-08-27 20:29 - skyjake

Is this related to the "one-sided window" effect that danij has recently been working on for 1.9.8?

#6 - 2013-10-03 23:16 - danij

Fixed for the upcoming Doomsday 1.13 release.
#7 - 2013-10-05 03:15 - danij

- status: accepted --> fixed

- Milestone: v1.9.0-beta6 --> v1.13

#8 - 2013-10-18 20:17 - skyjake
- Category set to Defect
